// layouts/CenteredLayout.ts
import { createElement } from '../utils/utils';

export class CenteredLayout {
    private container: HTMLElement;

    constructor() {
        this.container = createElement('div');
        this.container.classList.add('centered-layout', 'container-fluid');
    }

    addContent(content: HTMLElement | string): void {
        if (typeof content === 'string') {
            this.container.innerHTML = content;
        } else {
            this.container.appendChild(content);
        }
    }

    render(): HTMLElement {
        return this.container;
    }
}